<ion-header>
    <div id="btnMenu">
        <div class="btn">
            <!-- [routerDirection]="'back'" 
        [routerLink]="['/app/tabs/tab-menu']" -->
            <ion-button fill="clear" tappable (click)="onBack()">
                <ion-icon name="arrow-back" text="">
                </ion-icon>
            </ion-button>
        </div>
        <div class="title" *ngIf="(!docInfo.isSigned)&&(!isCompleted)&&(!isVerifier)">
            Need your signature
        </div>
        <div class="title" *ngIf="(docInfo.isSigned)&&(!isCompleted)&&(!isVerifier)">
            Waiting for others
        </div>
        <div class="title" *ngIf="(!isCompleted)&&(!docInfo.isSigned)&&(!isVerified)&&isVerifier">
            Unsigned document information
        </div>
        <div class="title" *ngIf="(isCompleted)&&(!docInfo.isSigned)&&(!isVerified)&&isVerifier">
            Need your verification
        </div>
        <div class="title" *ngIf="(isCompleted)&&(docInfo.isSigned)&&(!isVerified)&&isVerifier">
            Waiting for other verifiers
        </div>
        <div class="title" *ngIf="isCompleted || isVerified">
            Document information
        </div>
    </div>
</ion-header>

<ion-content>
    <ion-list lines="inset">
        <ion-label class="listHeader"><b>File Information</b></ion-label>

        <ion-item>
            <div class="btnRightContainer">
                <div>
                    <ion-grid>
                        <ion-row>
                            <ion-label color="medium">File name: </ion-label>
                        </ion-row>
                        <ion-row>
                            <p>{{docInfo.name}}</p>
                        </ion-row>
                    </ion-grid>
                </div>
                <div class="btnRight btnView" (click)="viewDocument()" tappable *ngIf="!isDownloading && !isCompleted">
                    <ion-icon name="eye"></ion-icon>
                </div>
                <div class="btnRight btnView" (click)="viewCompletedDocument()" tappable
                    *ngIf="!isDownloading && isCompleted">
                    <ion-icon name="eye"></ion-icon>
                    <!-- <ion-icon name="download" mode="md"></ion-icon> -->
                </div>
                <div *ngIf="isDownloading" class="loading btnRight">
                    <ion-spinner name="dots" color="primary"></ion-spinner>
                </div>
            </div>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">File Hash (SHA256):</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{docInfo.fileHash.sha256Hash}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Creation Date:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{docInfo.uploadDate}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>
    </ion-list>

    <ion-list lines="inset">
        <ion-label class="listHeader">
            <b>Signatures: {{docInfo.cosignatures.length + 1}}/{{docInfo.cosigners.length + 1}}</b>
        </ion-label>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Owner:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{docInfo.owner}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item *ngIf="docInfo.cosigners.length!=0">
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Cosigners</ion-label>
                </ion-row>
                <ion-row>
                    <ion-item *ngFor="let cosignature of docInfo.cosignatures">
                        <p>{{cosignature}}</p>
                        <!-- <p>{{cosignature.timestamp}}</p> -->
                    </ion-item>

                    <ion-item *ngIf="docInfo.cosigners.length==0">
                        <ion-label color="dark">
                            <p>This file is signed by owner only.</p>
                        </ion-label>
                    </ion-item>
                </ion-row>
            </ion-grid>
        </ion-item>
    </ion-list>

    <ion-list lines="inset">
        <ion-label class="listHeader"><b>Sign Infomation</b></ion-label>

        <ion-item *ngIf="isVerifier">
            <div class="btnRightContainer">
                <div>
                    <ion-grid>
                        <ion-row>
                            <ion-label color="medium">Document account:</ion-label>
                        </ion-row>
                        <ion-row>
                            <p id="txHash"><a
                                    href="{{'http://bctestnetexplorer.xpxsirius.io/#/result/publicKey/' + docInfo.documentAccount.publicKey}}"
                                    target="_blank">{{docInfo.documentAccount.publicKey}}</a></p>
                        </ion-row>
                    </ion-grid>
                </div>
                <div class="btnRight btnCopy" tappable *ngIf="docInfo.documentAccount" id="btnCopyDocAccount"
                    [attr.data-clipboard-target]="'#txHash'" (click)="copyByPlugin(docInfo.documentAccount.publicKey)">
                    <ion-icon name="copy"></ion-icon>
                </div>
            </div>
        </ion-item>


        <ion-item *ngIf="!isVerifier">
            <div class="btnRightContainer">

                <ion-item *ngIf="isVerifier">
                    <div class="btnRightContainer">
                        <div>
                            <ion-grid>
                                <ion-row>
                                    <ion-label color="medium">Document account:</ion-label>
                                </ion-row>
                                <ion-row>
                                    <p id="txHash"><a
                                            href="{{'http://bctestnetexplorer.xpxsirius.io/#/result/publicKey/' + docInfo.documentAccount.publicKey}}"
                                            target="_blank">{{docInfo.documentAccount.publicKey}}</a></p>
                                </ion-row>
                            </ion-grid>
                        </div>
                        <div class="btnRight btnCopy" tappable *ngIf="docInfo.documentAccount" id="btnCopyDocAccount"
                            [attr.data-clipboard-target]="'#txHash'"
                            (click)="copyByPlugin(docInfo.documentAccount.publicKey)">
                            <ion-icon name="copy"></ion-icon>
                        </div>
                    </div>
                </ion-item>

                <div>
                    <ion-grid>
                        <ion-row>
                            <ion-label color="medium">Transaction hash:</ion-label>
                        </ion-row>
                        <ion-row>
                            <p id="txHash"><a
                                    href="{{'http://bctestnetexplorer.xpxsirius.io/#/result/hash/' + docInfo.signTxHash}}"
                                    target="_blank">{{docInfo.signTxHash}}</a></p>
                        </ion-row>
                    </ion-grid>
                </div>
                <div class="btnRight btnCopy" tappable *ngIf="docInfo.signTxHash" id="btnCopyTxHash"
                    [attr.data-clipboard-target]="'#txHash'" (click)="copyByPlugin(docInfo.signTxHash)">
                    <ion-icon name="copy"></ion-icon>
                </div>
            </div>
        </ion-item>

        <ion-item *ngIf="(transactionHashQr!='')&&(!isVerifier)">
            <div class="center">
                <img [src]="transactionHashQr" />
            </div>
        </ion-item>
    </ion-list>

    <div id="btnSign" *ngIf="(!docInfo.isSigned)&&(!isProcessing)&&(!isVerifier)">
        <ion-button (click)="onNewCosign()">Cosign</ion-button>
        <ion-button color="light" (click)="onBack()">Cancel</ion-button>
    </div>

    <div id="btnSign" *ngIf="(isCompleted)&&(!docInfo.isSigned)&&(isVerifier)&&(!isProcessing)">
        <ion-button (click)="onVerify()">Verify</ion-button>
        <ion-button color="light" (click)="onBack()">Cancel</ion-button>
    </div>

    <div *ngIf="isProcessing" class="loading">
        <ion-spinner name="dots" color="primary"></ion-spinner>
    </div>

    <div id="btnSign" *ngIf="docInfo.isSigned && (!isCompleted)">
        <ion-button (click)="regularShare()" class="btnCopy" [attr.data-clipboard-text]="uniLink">Remind</ion-button>
    </div>
</ion-content>

<div id="container" style="display: none;">
    <canvas id="pdf" style="position: absolute; left: 0; top: 0; z-index: 0; border: 1px solid black;"></canvas>
    <canvas *ngFor="let signature of signaturesInfo; let i = index" id="{{'signature-' + i}}"></canvas>
</div>